## org.eclipse.uml2.uml.edit.providers
Class ElementItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.emf.ecore.provider.EObjectItemProvider
                  org.eclipse.emf.ecore.provider.EModelElementItemProvider
                      org.eclipse.uml2.uml.edit.providers.ElementItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemFontProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, IItemQualifiedTextProvider

Direct Known Subclasses:
  ActivityGroupItemProvider, ClauseItemProvider, CommentItemProvider, ExceptionHandlerItemProvider, ImageItemProvider, LinkEndDataItemProvider, MultiplicityElementItemProvider, NamedElementItemProvider, ParameterableElementItemProvider, QualifierValueItemProvider, RelationshipItemProvider, SlotItemProvider, TemplateableElementItemProvider, TemplateParameterItemProvider, TemplateParameterSubstitutionItemProvider, TemplateSignatureItemProvider

    public class ElementItemProvider

extends org.eclipse.emf.ecore.provider.EModelElementItemProvider
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemFontProvider, IItemQualifiedTextProvider

This is the item provider adapter for a `Element` object.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.provider.EModelElementItemProvider
`org.eclipse.emf.ecore.provider.EModelElementItemProvider.ItemPropertyDescriptorWithUniqueChoiceOfValueLabels`

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider
`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

Constructor Summary
`ElementItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

Method Summary
`protected void` `addOwnedCommentPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Owned Comment feature
`protected void` `addOwnedElementPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Owned Element feature
`protected void` `addOwnerPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Owner feature
`protected java.lang.StringBuffer` `appendKeywords(java.lang.StringBuffer text, java.lang.Object object)`
`protected java.lang.StringBuffer` `appendLabel(java.lang.StringBuffer text, java.lang.Object object)`
`protected java.lang.StringBuffer` `appendString(java.lang.StringBuffer text, java.lang.String string)`
`protected java.lang.StringBuffer` `appendType(java.lang.StringBuffer text, java.lang.Object object)`
`protected java.lang.StringBuffer` `appendType(java.lang.StringBuffer text, java.lang.String key)`
`protected void` `collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors, java.lang.Object object)` This adds `CommandParameter`s describing the children that can be created under this object
`org.eclipse.emf.common.command.Command` `createCommand(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain domain, java.lang.Class<? extends org.eclipse.emf.common.command.Command> commandClass, org.eclipse.emf.edit.command.CommandParameter commandParameter)`

`protected org.eclipse.emf.edit.provider.ItemPropertyDescriptor`

`createItemPropertyDescriptor(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.common.util.ResourceLocator resourceLocator, java.lang.String displayName, java.lang.String description, org.eclipse.emf.ecore.EStructuralFeature feature, boolean isSettable, boolean multiLine, boolean sortChoices, java.lang.Object staticImage, java.lang.String category, java.lang.String[] filterFlags)`

`protected org.eclipse.emf.ecore.EStructuralFeature` `getChildFeature(java.lang.Object object, java.lang.Object child)`
`java.util.Collection<?>` `getChildren(java.lang.Object object)`

`java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature>`

`getChildrenFeatures(java.lang.Object object)`
This specifies how to implement `getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`

`protected org.eclipse.emf.edit.provider.ComposedImage` `getComposedImage(java.lang.Object object, java.lang.Object image)`
`java.lang.Object` `getCreateChildImage(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection<?> selection)` This returns the icon image for `CreateChildCommand`
`protected java.lang.String` `getFeatureText(java.lang.Object feature)`
`java.lang.Object` `getForeground(java.lang.Object object)`
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain, java.lang.Object sibling)`
`java.lang.Object` `getParent(java.lang.Object object)`
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class
`java.lang.String` `getQualifiedText(java.lang.Object object)` Fetches qualified text for the specified object instance.
`org.eclipse.emf.common.util.ResourceLocator` `getResourceLocator()` Return the resource locator for this item provider's resources
`org.eclipse.emf.edit.provider.IItemPropertyDescriptor` `getStereotypeApplicationPropertyDescriptor(java.lang.Object object, java.lang.Object propertyId)`
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` `getStereotypeApplicationPropertyDescriptors(java.lang.Object object)`
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class
`protected java.lang.String` `getTypeText(org.eclipse.emf.common.util.ResourceLocator resourceLocator, org.eclipse.emf.ecore.EClass eClass)`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`
`protected java.lang.Object` `overlayImage(java.lang.Object object, java.lang.Object image)`
`protected boolean` `shouldAppendType()`
`protected boolean` `shouldTranslate()`

Methods inherited from class org.eclipse.emf.ecore.provider.EModelElementItemProvider
`stripToNull`

Methods inherited from class org.eclipse.emf.ecore.provider.EObjectItemProvider
`getImage`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureValue, getFont, getFont, getForeground, getImage, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, removeListener, resetPropertyValue, setPropertyValue, setTarget, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemLabelProvider
`getImage`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`getBackground`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider
`getFont`

Constructor Detail

### ElementItemProvider

    public ElementItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `org.eclipse.emf.ecore.provider.EModelElementItemProvider`

### addOwnedElementPropertyDescriptor

    protected void addOwnedElementPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Owned Element feature.

### addOwnerPropertyDescriptor

    protected void addOwnerPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Owner feature.

### addOwnedCommentPropertyDescriptor

    protected void addOwnedCommentPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Owned Comment feature.

### getChildrenFeatures

    public java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

  Overrides:
    `getChildrenFeatures` in class `org.eclipse.emf.ecore.provider.EModelElementItemProvider`

### getChildFeature

    protected org.eclipse.emf.ecore.EStructuralFeature getChildFeature(java.lang.Object object,
                                                                       java.lang.Object child)

  Overrides:
    `getChildFeature` in class `org.eclipse.emf.ecore.provider.EModelElementItemProvider`

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `org.eclipse.emf.ecore.provider.EModelElementItemProvider`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.ecore.provider.EModelElementItemProvider`

### collectNewChildDescriptors

    protected void collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors,
                                              java.lang.Object object)

  This adds `CommandParameter`s describing the children that can be created under this object.

  Overrides:
    `collectNewChildDescriptors` in class `org.eclipse.emf.ecore.provider.EModelElementItemProvider`

### getCreateChildImage

    public java.lang.Object getCreateChildImage(java.lang.Object owner,
                                                java.lang.Object feature,
                                                java.lang.Object child,
                                                java.util.Collection<?> selection)

  This returns the icon image for `CreateChildCommand`.

  Specified by:
    `getCreateChildImage` in interface `org.eclipse.emf.edit.command.CreateChildCommand.Helper`
  Overrides:
    `getCreateChildImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

  Overrides:
    `getResourceLocator` in class `org.eclipse.emf.ecore.provider.EObjectItemProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getParent` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getChildren

    public java.util.Collection<?> getChildren(java.lang.Object object)

  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getChildren` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                                          java.lang.Object sibling)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Overrides:
    `getNewChildDescriptors` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getStereotypeApplicationPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getStereotypeApplicationPropertyDescriptors(java.lang.Object object)

### getStereotypeApplicationPropertyDescriptor

    public org.eclipse.emf.edit.provider.IItemPropertyDescriptor getStereotypeApplicationPropertyDescriptor(java.lang.Object object,
                                                                                                            java.lang.Object propertyId)

### createCommand

    public org.eclipse.emf.common.command.Command createCommand(java.lang.Object object,
                                                                org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                java.lang.Class<? extends org.eclipse.emf.common.command.Command> commandClass,
                                                                org.eclipse.emf.edit.command.CommandParameter commandParameter)

  Specified by:
    `createCommand` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Overrides:
    `createCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### shouldTranslate

    protected boolean shouldTranslate()

  Overrides:
    `shouldTranslate` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getQualifiedText

    public java.lang.String getQualifiedText(java.lang.Object object)

  Description copied from interface: `IItemQualifiedTextProvider`
  Fetches qualified text for the specified object instance.

  Specified by:
    `getQualifiedText` in interface `IItemQualifiedTextProvider`
  Parameters:
    `object` - The object instance for which to fetch qualified text.
  Returns:
    The qualified text.

### appendKeywords

    protected java.lang.StringBuffer appendKeywords(java.lang.StringBuffer text,
                                                    java.lang.Object object)

### appendType

    protected java.lang.StringBuffer appendType(java.lang.StringBuffer text,
                                                java.lang.Object object)

### shouldAppendType

    protected boolean shouldAppendType()

### appendType

    protected java.lang.StringBuffer appendType(java.lang.StringBuffer text,
                                                java.lang.String key)

### appendLabel

    protected java.lang.StringBuffer appendLabel(java.lang.StringBuffer text,
                                                 java.lang.Object object)

### appendString

    protected java.lang.StringBuffer appendString(java.lang.StringBuffer text,
                                                  java.lang.String string)

### getTypeText

    protected java.lang.String getTypeText(org.eclipse.emf.common.util.ResourceLocator resourceLocator,
                                           org.eclipse.emf.ecore.EClass eClass)

### getFeatureText

    protected java.lang.String getFeatureText(java.lang.Object feature)

  Overrides:
    `getFeatureText` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createItemPropertyDescriptor

    protected org.eclipse.emf.edit.provider.ItemPropertyDescriptor createItemPropertyDescriptor(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                                                                                org.eclipse.emf.common.util.ResourceLocator resourceLocator,
                                                                                                java.lang.String displayName,
                                                                                                java.lang.String description,
                                                                                                org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                                                boolean isSettable,
                                                                                                boolean multiLine,
                                                                                                boolean sortChoices,
                                                                                                java.lang.Object staticImage,
                                                                                                java.lang.String category,
                                                                                                java.lang.String[] filterFlags)

  Overrides:
    `createItemPropertyDescriptor` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getComposedImage

    protected org.eclipse.emf.edit.provider.ComposedImage getComposedImage(java.lang.Object object,
                                                                           java.lang.Object image)

### overlayImage

    protected java.lang.Object overlayImage(java.lang.Object object,
                                            java.lang.Object image)

  Overrides:
    `overlayImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getForeground

    public java.lang.Object getForeground(java.lang.Object object)

  Specified by:
    `getForeground` in interface `org.eclipse.emf.edit.provider.IItemColorProvider`
  Overrides:
    `getForeground` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.